%define         _state          stable
%define         orgname         libkexiv2
Summary:	libkexiv2 - picture metadata manipulation library
Summary(pl.UTF-8):	libkexiv2 - biblioteka do obróbki metadanych obrazków
Name:		kde4-libkexiv2
Version:	4.14.3
Release:	4
License:	GPL v2+
Group:		X11/Libraries
Source0:	http://download.kde.org/%{_state}/%{version}/src/%{orgname}-%{version}.tar.xz
# Source0-md5:	ba361677df71f5946a3f0b0bcace01a8
URL:		http://www.kde.org/
BuildRequires:	exiv2-devel >= 0.20
BuildRequires:	kde4-kdelibs-devel
BuildRequires:	pkgconfig >= 1:0.9.0
Requires:	exiv2-libs >= 0.20
Obsoletes:	kde4-kdegraphics
Obsoletes:	libkexiv2 <= 4.8.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Libkexiv2 is a KDE wrapper around Exiv2 library to manipulate pictures
metadata. This library is used by kipi-plugins, digiKam and others
kipi host programs.

%description -l pl.UTF-8
libkexiv2 to obudowanie KDE biblioteki Exiv2 do obróbki metadanych
obrazków. Ta biblioteka jest wykorzystywana przez pakiety
kipi-plugins, digiKam i inne programy oparte na kiki.

%package devel
Summary:	Header files for libkexiv2 library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libkexiv2
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	exiv2-devel >= 0.20
Obsoletes:	kde4-kdegraphics-devel < 4.6.99
Obsoletes:	libkexiv2-devel <= 4.8.0

%description devel
Header files for libkexiv2 library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libkexiv2.

%prep
%setup -q -n %{orgname}-%{version}

%build
install -d build
cd build
%cmake \
	../
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build/ install \
        DESTDIR=$RPM_BUILD_ROOT \
        kde_htmldir=%{_kdedocdir}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_libdir}/libkexiv2.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libkexiv2.so.11
%{_datadir}/apps/libkexiv2

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libkexiv2.so
%{_includedir}/libkexiv2
%{_pkgconfigdir}/libkexiv2.pc
%{_libdir}/cmake/libkexiv2*
%changelog
* Sun Sep 11 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/kde4-libkexiv2.git;a=log;h=master

* Sun Sep 11 2016 Jakub Bogusz <qboosh@pld-linux.org> 55c582b
- release 4 (exiv2 rebuild)

* Mon Sep 21 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 73932d7
- release 3 (by relup.sh)

* Sun Apr 05 2015 Jan Rękorajski <baggins@pld-linux.org> 4c16690
- x32 rebuild
- release 2 (by relup.sh)

* Fri Nov 14 2014 Jan Rękorajski <baggins@pld-linux.org> f69c4c1
- updated to 4.14.3 (by update-kde4.sh)

* Thu Oct 16 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 71dbb73
- up to 4.14.2

* Sun Aug 24 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 46bd54e
- updated to 4.14.0

* Tue Jun 10 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 2f56672
- updated to 4.13.2 (by update-kde4.sh)

* Wed May 14 2014 Witold Filipczyk <witekfl@poczta.onet.pl> de871ea
- updated to 4.13.1 (by update-kde4.sh)

* Thu Apr 17 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 23a8708
- up to 4.13.0

* Thu Apr 10 2014 Witold Filipczyk <witekfl@poczta.onet.pl> aa0fdf5
- updated to 4.12.4 (by update-kde4.sh)

* Wed Mar 05 2014 Witold Filipczyk <witekfl@poczta.onet.pl> b3cd6cb
- updated to 4.12.3 (by update-kde4.sh)

* Tue Feb 04 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 54051cd
- updated to 4.12.2 (by update-kde4.sh)

* Sun Jan 19 2014 Witold Filipczyk <witekfl@poczta.onet.pl> eb6897a
- updated to 4.12.1 (by update-kde4.sh)

* Thu Dec 12 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 8da4fca
- up to 4.12.0

* Fri Nov 01 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 954ade2
- up to 4.11.3

* Thu Aug 08 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 50168a5
- up to 4.11.0

* Wed Jul 03 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> b486e71
- up to 4.10.5

* Mon Jun 03 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 6e7afee
- up to 4.10.4

* Sun May 05 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> e55cba8
- up to 4.10.3

* Mon Apr 01 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 312784e
- up to 4.10.2

